/************Background**************/

.fixed-background {

   background: url(../image/background.png)
   no-repeat center center fixed;
   background-size: cover;
   width: 100%;
   height: auto;
   position: fixed;
   top: 55px;
   bottom: 0;
   right: 0;
   left: 0;
 }
/*********Authentication imageside background**********/
.image-side {
  width: 44%;
  background: url(../image/background.png) no-repeat center top;
  background-size: cover;


  .h3 {
    line-height: 0.8rem;
  }
}
/*************Scroll Card*********/
.scroll-card {
  width: 800px;
  height: 500px;
  overflow-y: scroll;
  overflow-x:hidden;
}
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #b1e7ff;
  border-radius: 10px;
}

/***************Modal**************/
.modal-right {
  padding-right: 0 !important;

  .modal-dialog {
    margin: 0 auto;
    margin-right: 0;
    margin-top: 0;
    margin-bottom: 0;
    height: 100%;
    max-width: 380px;
  }

  .modal-content {
    min-height: 100%;
  }



  .modal-footer {
    justify-content: center;
  }

  .modal.fade .modal-dialog {
    transform: translate(25%, 0) !important;
  }

  .modal.show .modal-dialog {
    transform: translate(0, 0) !important;
  }
}
//--------------------Badge------------
.badge {
  padding: 0.55em 0.75em 0.6em 0.75em;
  font-size: 74%;

  &.badge-pill {
    padding-right: 1.25em;
    padding-left: 1.25em;
  }

  &.badge-top-left {
    top: 10px;
    left: -7px;
  }

  &.badge-top-left-2 {
    top: 40px;
    left: -7px;
  }
  &.badge-top-left-3 {
    top: 70px;
    left: -7px;
  }

  &.badge-top-right {
    top: 8px;
    right: -7px;
  }

  &.badge-top-right-2 {
    top: 40px;
    right: -7px;
  }
}
//DropZone Affichage

.dropzone {
  min-height: 90px !important;
  border: 1px solid #c6c6c6 !important;
  background: #eeeeee !important;
  padding: 10px 10px !important;
  border-radius: 2px !important;
  color: #005cbf !important;
  height: auto !important;

  .img-thumbnail {
    height: 58px !important;
    width: 100% !important;
    object-fit: cover !important;
  }
}

.dropzone.dz-clickable .dz-message,
.dropzone.dz-clickable .dz-message * {
  position: relative;
  transform: translateY(-50%);
  top: 24px !important;
  margin: 0;
}

.dropzone .dz-preview.dz-image-preview,
.dropzone .dz-preview.dz-file-preview {
  width: 260px;
  height: 60px;
  min-height: unset;
  border: 1px solid #d5e8ff !important;
  border-radius: 2px !important;
  background: #d1fffa !important;
  color: #005cbf !important;

  .preview-container {
    transition: initial !important;
    animation: initial !important;
    margin-left: 0;
    margin-top: 0;
    position: relative;
    width: 100%;
    height: 100%;

    i {
      color: #00B7FF;
      font-size: 20px;
      position: absolute;
      left: 50%;
      top: 29px;
      transform: translateX(-50%) translateY(-50%) !important;
      height: 22px;
    }
  }
  .dropzone .dz-preview:not(.dz-processing) .dz-progress {
    -webkit-animation: pulse-inner 3s ease infinite;
    -moz-animation: pulse-inner 3s ease infinite;
    -ms-animation: pulse-inner 3s ease infinite;
    -o-animation: pulse-inner 3s ease infinite;
    animation: pulse-inner 3s ease infinite;
  }

  strong {
    font-weight: normal;
  }

  .remove {
    position: absolute;
    right: 5px;
    top: 5px;
    color: #81a9ff !important;
  }

  .dz-details {
    position: static;
    display: block;
    opacity: 1;
    text-align: left;
    min-width: unset;
    z-index: initial;
    color: #005cbf !important;
  }

  .dz-error-mark {
    color: #ffffff !important;
    top: 15px;
    left: 25px;
    margin-left: 0;
    margin-top: 0;


  }

  .dz-success-mark {
    color: #ffffff;
    top: 15px;
    left: 25px;
    margin-left: 0;
    margin-top: 0;


  }

  .dz-progress {
    width: 84%;
    margin-left: 0;
    margin-top: 0;
    right: 0;
    height: 5px !important;
    left: 15px;

    .dz-upload {
      width: 100%;
      background: #00B7FF !important;
    }
  }

  .dz-error-message {
    border-radius: 15px;
    background: #856404 !important;
    top: 60px;

    &:after {
      border-bottom: 6px solid #856404 !important;
    }
  }

  [data-dz-name] {
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 90%;
    display: inline-block;
    overflow: hidden;
  }
}

.dropzone .dz-preview.dz-file-preview .img-thumbnail {
  display: none;
}

.dropzone .dz-error.dz-preview.dz-file-preview {
  .preview-icon {
    display: none;
  }

  .dz-error-mark,
  .dz-success-mark {
    color: #00B7FF !important;
  }
}

.dropzone .dz-preview.dz-image-preview .preview-icon {
  display: none;
}
/*************** 22.Slider(Range) ******************/
.rc-slider-tooltip {
  background: #ffffff !important;
  color: #303030 !important;
  border: 1px solid #d7d7d7 !important;
  border-radius: 3px !important;
  text-align: center !important;
  top: 150% !important;
  bottom: unset !important;
  padding: 5px !important;
  transform: translateX(-50%) !important;
}

.rc-slider-handle {
  width: 20px !important;
  height: 20px !important;
  border-radius: 20px !important;
  background: #ffffff !important;
  cursor: default !important;
  border: 1px solid #b1e7ff !important;
  box-shadow: initial !important;
}

.rc-slider-track,
.rc-slider-rail,
.rc-slider-step {
  height: 7px !important;
}

.rc-slider-rail {
  border: 1px solid #61dafb !important;
  background: #ffffff !important;
}

.rc-slider-handle {
  margin-top: -7px !important;
}

.rc-slider-track {
  background: rgba(58, 0, 170, 0.59) !important;
}

/********************AutoSuggest*****************/
.autosuggest {
  position: relative;
}

.react-autosuggest__suggestions-container {
  border-radius: 2px;
  z-index: 20;
  box-shadow: initial;
  margin-top: -1px;
  background: #232223;
  position: absolute;
  width: 100%;
  box-sizing: border-box;
  top: 100%;
}

.react-autosuggest__suggestions-list {
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}

.react-autosuggest__suggestion {
  cursor: default;
  display: block;
  font-size: inherit;
  padding: 8px 12px;
  width: 100%;
  background: white !important;
  color: black !important;

  &:hover,
  &:active {
    background: #f9f6ff !important;
    color: #232223 !important;
  }
}

.react-autosuggest__input--open {
  border: 1px solid #61dafb !important;
}

.react-autosuggest__suggestions-container--open {
  border: 1px solid #61dafb;
  border-top: initial;
  border-width: 1px !important;
}
/************TumbList********************/

.img-thumbnail {
  border-radius: 2px;
  padding: 0;
  border: 4px;
}

.list-thumbnail {
  border-radius: 5px;
  padding: 0;
  border: 1px;
  height: auto;
  max-width: unset;
  height: 85px;
  object-fit: cover;
  width: unset !important;
}
.list-thumbnail-letters {
  width: 85px;
  height: 85px;
  background: #ffffff;
  align-items: center;
  display: flex;
  justify-content: center;
  font-size: 1.25rem;
  color: #000000;
}
/********Date Picker*************/

.react-datepicker {
  border: 1px solid #a5a5a5 !important;
  border-radius: 2px !important;
  font-family: "Nunito", sans-serif;
}
.react-datepicker__day-name,
.react-datepicker__day,
.react-datepicker__time-name {
  width: 35px !important;
  height: 35px !important;
  line-height: 2.3rem !important;
  border-radius: 2px !important;
  margin: 0 !important;
  outline: initial !important;
}

.react-datepicker__day:hover {
  background: #dadada;
}

.react-datepicker__day--keyboard-selected:hover,
.react-datepicker__day--keyboard-selected {
  background: #86367E;
}
.react-datepicker__day--today {
  font-weight: 400 !important;
  background: #424242;
  color: #D0D0D0 !important;
}

.react-datepicker-popper[data-placement^="bottom"] .react-datepicker__triangle {
  border-bottom-color: #c3c3c3 !important;
}

.react-datepicker-popper[data-placement^="bottom"]
.react-datepicker__triangle::before {
  border-bottom-color: #c6c6c6 !important;
}

.react-datepicker__current-month,
.react-datepicker-time__header {
  color: #ffffff !important;
}

.react-datepicker__day-name,
.react-datepicker__day,
.react-datepicker__time-name {
  color: #000000 !important;
}

.react-datepicker__input-container input {
  color: rgba(90, 90, 90, 0.72) !important;
  width: 100%;
}

.react-datepicker__time-container {
  border-left: 1px solid #8c8c8c !important;
  width: 71px !important;
}

.react-datepicker__time-container .react-datepicker__time {
  background-color: #424242 !important;
  color: #424242 !important;
}

.react-datepicker__day--selected,
.react-datepicker__day--in-selecting-range,
.react-datepicker__day--in-range {
  color: #424242 !important;
}

.react-datepicker-popper[data-placement^="top"] .react-datepicker__triangle,
.react-datepicker__year-read-view--down-arrow,
.react-datepicker__month-read-view--down-arrow,
.react-datepicker__month-year-read-view--down-arrow {
  border-top-color: #424242 !important;
}

.react-datepicker-popper[data-placement^="top"]
.react-datepicker__triangle::before,
.react-datepicker__year-read-view--down-arrow::before,
.react-datepicker__month-read-view--down-arrow::before,
.react-datepicker__month-year-read-view--down-arrow::before {
  border-top-color: #bfbfbf !important;
}

.react-datepicker__time-container
.react-datepicker__time
.react-datepicker__time-box
ul.react-datepicker__time-list {
  padding-left: 0 !important;
  padding-right: 30px !important;
}

.react-datepicker__time-container
.react-datepicker__time
.react-datepicker__time-box
ul.react-datepicker__time-list
li.react-datepicker__time-list-item--selected {
  background: #b1e7ff !important;
}

